## ros-rolling-ament-flake8 0.11.4

=== debian/changelog ===
ros-rolling-ament-flake8 (0.11.4-1focal) focal; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-flake8 (0.11.3-1focal) focal; urgency=high

  * Ignore .*/_* dirs in ament_flake8 (#335 <https://github.com/ament/ament_lint/issues/335>)
    Other ament_* linters specifically ignore directories starting with a
    dot or underscore when crawling for files to lint. They also do so
    implicitly, so this change mimics that same pattern so that the behavior
    is consistent.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-flake8 (0.11.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-flake8 (0.11.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-flake8 (0.11.0-1focal) focal; urgency=high

  * Ignore flake8-blind-except B902 (#292 <https://github.com/ament/ament_lint/issues/292>)
  * Contributors: Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-flake8 (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 07:00:00 -0000

ros-rolling-ament-flake8 (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-ament-flake8 (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-ament-flake8 (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 08:00:00 -0000

ros-rolling-ament-flake8 (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 08:00:00 -0000

ros-rolling-ament-flake8 (0.10.1-1focal) focal; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ament-flake8 (0.10.0-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-ament-flake8 (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ament-flake8 (0.9.3-1focal) focal; urgency=high

  * support flake8 3.8 (#242 <https://github.com/ament/ament_lint/issues/242>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-ament-flake8 (0.9.2-1focal) focal; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ament-flake8 (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * add new main_with_errors() API that also returns the error strings if any (#221 <https://github.com/ament/ament_lint/issues/221>)
    * return custom int subclass to include the error strings
    * expose errors through separate function rather than magic return code object
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * Exclude folders having AMENT_IGNORE in ament_flake8 script (#211 <https://github.com/ament/ament_lint/issues/211>)
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)
  * Contributors: Chris Lalancette, Dirk Thomas, Hao Peng, Jose Luis Rivero

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 07:00:00 -0000

ros-rolling-ament-flake8 (0.8.1-1focal) focal; urgency=high

  * install resource marker file for packages (#193 <https://github.com/ament/ament_lint/issues/193>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-ament-flake8 (0.8.0-1focal) focal; urgency=high

  * Install manifest file in ament_flake8 (#189 <https://github.com/ament/ament_lint/issues/189>)
    Follow-up to #185 <https://github.com/ament/ament_lint/issues/185>
  * re-add path insertion removed from wrong package (#178 <https://github.com/ament/ament_lint/issues/178>)
  * add mypy support for linters/testing (#154 <https://github.com/ament/ament_lint/issues/154>)
    * add mypy support for linters/testing
    * Update ament_cmake_mypy/doc/index.rst
    Co-Authored-By: Kyle Fazzari <mailto:github@status.e4ward.com>
    * fix whitespace in file and in generated xml
    * fixes, package versioning, and test suite
    * fix wrong separator in cmake file
    * readd copied from comment
    * Update ament_mypy/ament_mypy/main.py
    Co-Authored-By: Kyle Fazzari <mailto:github@status.e4ward.com>
    * remove mypypath auto populating
    * add default configuration ignoring missing imports

