## ros-rolling-ament-flake8 0.15.2

=== debian/changelog ===
ros-rolling-ament-flake8 (0.15.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-ament-flake8 (0.15.1-1jammy) jammy; urgency=high

  * Fix compatibility with flake8 version 5 (#410 <https://github.com/ament/ament_lint/issues/410>)
  * Contributors: Timo Röhling

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-ament-flake8 (0.15.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-ament-flake8 (0.14.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-ament-flake8 (0.14.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-ament-flake8 (0.13.2-1jammy) jammy; urgency=high

  * Fix exclude regression (#387 <https://github.com/ament/ament_lint/issues/387>)
  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.13.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.13.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.12.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.12.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.12.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.12.0-1jammy) jammy; urgency=high

  * Remove use of distutils.version.LooseVersion. (#346 <https://github.com/ament/ament_lint/issues/346>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Feb 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.11.4-1jammy) jammy; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.11.3-1jammy) jammy; urgency=high

  * Ignore .*/_* dirs in ament_flake8 (#335 <https://github.com/ament/ament_lint/issues/335>)
    Other ament_* linters specifically ignore directories starting with a
    dot or underscore when crawling for files to lint. They also do so
    implicitly, so this change mimics that same pattern so that the behavior
    is consistent.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-ament-flake8 (0.11.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.11.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.11.0-1jammy) jammy; urgency=high

  * Ignore flake8-blind-except B902 (#292 <https://github.com/ament/ament_lint/issues/292>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.10.6-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.10.5-1jammy) jammy; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.10.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.10.3-1jammy) jammy; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.10.2-1jammy) jammy; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.10.1-1jammy) jammy; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-ament-flake8 (0.10.0-1jammy) jammy; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-rolling-ament-flake8 (0.9.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-ament-flake8 (0.9.3-1jammy) jammy; urgency=high


